We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

A Pareto chart is a type of chart that contains both bars and a line graph, where individual values are represented in descending order by bars, and the cumulative total is represented by the line.


Pareto line

Represents the cumulative percentage of the total occurrences, cost, or a particular unit of measure.


Marker

Mark data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Vertical chart

The Angular Pareto Chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color, border, marker, and dash array for the pareto column and line series using built-in APIs to make it visually unique.


Angular Pareto Chart Code Example

Easily get started with Angular Pareto Chart by using a few lines of HTML and TS code, as demonstrated below. Also explore our Angular Pareto Chart Example that shows how to render and configure the chart.

<ejs-chart style='display:block;' [chartArea]='chartArea' [width]='width' align='center' 
        [chartArea] ='chartArea' [width]='width' align='center' id='chartcontainer' 
        [primaryXAxis]='primaryXAxis' [primaryYAxis]='primaryYAxis' [legendSettings]='legend'
        [title]='title' [tooltip]='tooltip' (load)='load($event)'>
        <e-series-collection>
            <e-series [dataSource]='data' type='Pareto' xName='x' yName='y' name='Defect' [marker]='marker' width=2> </e-series>
        </e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
 public chartData: Object[] = [];
  public data: Object[] = [
        { x: 'Button Defect', y: 23 }, { x: 'Pocket Defect', y: 16 },
        { x: 'Coller Defect ', y: 10 }, { x: 'Cuff Defect', y: 7 },
        { x: 'Sleeve Defect', y: 6 }
    ];
 //Initializing Primary X Axis
public primaryXAxis: Object = {
     majorGridLines: { width: 0 }, title: 'Score of Final Examination',
        minimum: 0, maximum: 100, edgeLabelPlacement: 'Shift'
};
public primaryYAxis: Object = {
        title: 'Frequency of Occurence',
        minimum: 0, maximum: 25, interval: 5, lineStyle: { width: 0 },
        majorTickLines: { width: 0 }, majorGridLines: { width: 1 },
        minorGridLines: { width: 1 }, minorTickLines: { width: 0 }
};
}
//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { ParetoSeriesService, CategoryService, ColumnSeriesService, LineSeriesService } from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ ParetoSeriesService, CategoryService, ColumnSeriesService, LineSeriesService ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Pareto Chart User Guide

Learn the available options to customize Angular Pareto Chart.

API

Pareto Chart API Reference

Explore the Angular Pareto Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

A Pareto chart is a type of chart that contains both bars and a line graph, where individual values are represented in descending order by bars, and the cumulative total is represented by the line.


Pareto Line

Represents the cumulative percentage of the total number of occurrences, total cost, or total of the particular unit of measure.


Marker

Mark data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Vertical chart

The React Pareto Chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color, border, marker and dash array for the pareto column and line series using built-in APIs to make it visually unique.


React Pareto Chart Code Example

Easily get started with React Pareto Chart by using a few simple lines of TSX code, as demonstrated below. Also explore our React Pareto Chart Example that shows how to render and configure the chart.

import {ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, Category, ColumnSeries, Legend, Tooltip, ParetoSeries, LineSeries, Highlight} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
let data = [
            { x: 'Button Defect', y: 23 }, { x: 'Pocket Defect', y: 16 },
            { x: 'Collar Defect', y: 10 }, { x: 'Cuff Defect', y: 7 },
            { x: 'Sleeve Defect', y: 6 }, { x: 'Other Defect', y: 2}
];
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'DateTime'};
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[Category, ColumnSeries, Legend, LineSeries, Tooltip, ParetoSeries, Highlight]}/>
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={data} xName='x' yName='y' type='Pareto' paretoOptions={{ marker: { visible: true, isFilled: true, width: 7, height: 7 }, dashArray: '3,2', width: 2 }}/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Pareto Chart User Guide

Learn the available options to customize React Pareto chart.

API

Pareto Chart API Reference

Explore the React Pareto Chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon